( function( $ ) {
	$(document).ready(function() {

		var widget_wrap = $('.sidebars-column-1'),
			widget_area = $('#widgets-right'),
			parent_area = $('.widget-liquid-right'),
			widget_template = $('#di-ecommerce-add-widget-template');

		// add form at bottom in widget admin screen
		widget_wrap.append( widget_template.html() );

		// Add delete button for each created widget
		widget_area.find('.sidebar-di-ecommerce-widget-admin .widgets-sortables').each(function() {
			var title;
			title = $(this).find('.sidebar-name h2').text();
			title = $.trim(title);
	        $(this).append('<div class="di-ecommerce-area-edit"><form class="widget_creator_delete_form" action="" method="post"><input type="hidden" name="di_ecommerce_pro_widget_creator_delete_nonce" value="'+DieCommerceAdminWidgetAreaJsLocalization.nonce+'" /><input type="hidden" name="diwidgettodelete" value="'+DiBescapeHtml(title)+'" /><input type="submit" class="di-ecommerce-area-delete button-primary" name="diwidgetdeletebttnsigle" value="'+DieCommerceAdminWidgetAreaJsLocalization.confirm+'" /></form></div>')
        });

        $('.widget_creator_delete_form').submit(function(){
			var r = confirm( DieCommerceAdminWidgetAreaJsLocalization.confirmAlert );
			if( r == true ) {
				return true;
			} else {
				return false;
			}
		});

        function DiBescapeHtml(text) {
		  var map = {
		    '&': '&amp;',
		    '<': '&lt;',
		    '>': '&gt;',
		    '"': '&quot;',
		    "'": '&#039;'
		  };

		  return text.replace(/[&<>"']/g, function(m) { return map[m]; });
		}

	});
} )( jQuery );
