<?php

/*
This plugin is released under 'private license' by Di Themes ( http://DiThemes.com ).
Restriction: you CAN NOT directly or indirectly (or after modify) distribute it on private or public host.
You can ONLY use this plugin with released products by Di Themes ( http://DiThemes.com ).
*/

require DI_ECOMMERCE_PRO_PATH . 'inc/registry/class-registry.php';
Di_eCommerce_Pro_Registry::instance();
if( Di_eCommerce_Pro_Registry::check_registry() ) {

	// Set di_ecommerce_pro function, used to check pro valid or no in theme.
	If( ! function_exists( 'di_ecommerce_pro' ) ) {
		function di_ecommerce_pro() {
			return true;
		}
	}

	// Auto Update
	require DI_ECOMMERCE_PRO_PATH . 'inc/plugin-update-checker/lib/plugin-update-checker.php';
	require DI_ECOMMERCE_PRO_PATH . 'inc/plugin-update-checker/plugin-update-checker-settings.php';

	// Kirki Settings
	require DI_ECOMMERCE_PRO_PATH . 'inc/kirki-settings/kirki-settings.php';

	// Widget Creator and Selector
	require DI_ECOMMERCE_PRO_PATH . 'inc/widget-creator-selector/widget-creator.php';
	require DI_ECOMMERCE_PRO_PATH . 'inc/widget-creator-selector/page-meta-box.php';
	require DI_ECOMMERCE_PRO_PATH . 'inc/widget-creator-selector/post-meta-box.php';

	// Slider Shortcode and display
	require DI_ECOMMERCE_PRO_PATH . 'inc/slider-module/add-slider-metabox-page.php';
	require DI_ECOMMERCE_PRO_PATH . 'inc/slider-module/add-slider-metabox-post.php';
	require DI_ECOMMERCE_PRO_PATH . 'inc/slider-module/slider-front-render.php';

	// Custom Header Image Meta Box + Front Render
	require DI_ECOMMERCE_PRO_PATH . 'inc/custom-header-image/metabox.php';
	require DI_ECOMMERCE_PRO_PATH . 'inc/custom-header-image/display.php';
} else {
	add_action( 'admin_notices', 'di_ecommerce_pro_message_add_domain_in_api' );
}

/**
 * [di_ecommerce_pro_message_add_domain_in_api description]
 * @return [type] [description]
 */
function di_ecommerce_pro_message_add_domain_in_api() {
	echo '<div class="updated"><p>';
	printf( __( 'Please add domain name "%1$s" in <a href="%2$s" target="_blank">Di Themes API</a> to make Di eCommerce Pro functional. Or you can deactivate Di eCommerce Pro plugin to hide this message.', 'di-ecommerce-pro' ), home_url(), 'https://dithemes.com/my-account/mywebsites/' );
	echo "</p></div>";
}
