<?php

/*
This plugin is released under 'private license' by Di Themes ( http://DiThemes.com ).
Restriction: you CAN NOT directly or indirectly (or after modify) distribute it on private or public host.
You can ONLY use this plugin with released products by Di Themes ( http://DiThemes.com ).
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Di_eCommerce_Pro_Add_Slider_Metabox_Page {

	function __construct() {
		add_action( 'di_ecommerce_page_metabox_render', array( $this, 'render' ), 1 );
		add_action( 'di_ecommerce_page_metabox_save', array( $this, 'save' ), 1 );
	}

	function render( $post ) {
		?>
		<p>

        <label style="padding-right: 82px;" for="select_sidebar">
            <?php _e( 'Slider Shortcode ', 'di-ecommerce-pro' ); ?>
        </label>

        <?php
		$selected = get_post_meta( $post->ID, '_di_ecommerce_slider_scode', true );
		$selected = wp_kses_post( $selected );
        ?>
        <input type="text" name="dib_silder_scode_val" value="<?php echo htmlspecialchars( $selected ); ?>" />

        <?php _e( 'Info: Use shortcode of any slider plugin.', 'di-ecommerce-pro' ); ?> 

        </p>
        <?php
	}

	function save( $post_id ) {
		if( isset( $_POST['dib_silder_scode_val'] ) ) {
			$scode = sanitize_text_field( $_POST['dib_silder_scode_val'] );
			update_post_meta( $post_id, '_di_ecommerce_slider_scode', $scode );
		}
	}

}
new Di_eCommerce_Pro_Add_Slider_Metabox_Page();
