<?php

/*
This plugin is released under 'private license' by Di Themes ( http://DiThemes.com ).
Restriction: you CAN NOT directly or indirectly (or after modify) distribute it on private or public host.
You can ONLY use this plugin with released products by Di Themes ( http://DiThemes.com ).
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Di_eCommerce_Pro_Slider_Front_Render {

	function __construct() {
		add_action( 'di_ecommerce_header_slider_file', array( $this, 'front_render') );
	}

	function front_render() {

		// Get current post ID (if on blog, then checks current posts page for it's ID)
		if ( is_home() ) {
			$di_post_id = get_option( 'page_for_posts' );
		} else {
			$di_post_id = get_the_ID();
		}

		if( $di_post_id ) {
			if( get_post_meta( $di_post_id, '_di_ecommerce_slider_scode', true ) ) {
				$scode = get_post_meta( $di_post_id, '_di_ecommerce_slider_scode', true );
				$scode = wp_kses_post( $scode );
				echo do_shortcode( $scode );
			}

		}
	}

}
new Di_eCommerce_Pro_Slider_Front_Render();
