( function( $ ) {
	$(document).ready(function() {

		// Uploading files
		var file_frame;

		$.fn.upload_dib_custom_header_image = function( button ) {
			var button_id = button.attr('id');
			var field_id = button_id.replace( '_button', '' );

			// If the media frame already exists, reopen it.
			if ( file_frame ) {
				file_frame.open();
				return;
			}

			// Create the media frame.
			file_frame = wp.media.frames.file_frame = wp.media({
				title: DieCommerceAdminCustomHeaderImgJsLocalization.mediatitle,
				button: {
					text: DieCommerceAdminCustomHeaderImgJsLocalization.mediabtntxt,
				},
				library : { type : 'image' },
				multiple: false
			});

			// When an image is selected, run a callback.
			file_frame.on( 'select', function() {
				var attachment = file_frame.state().get('selection').first().toJSON();
				$("#"+field_id).val(attachment.id);
				$("#di_ecommerce_custom_header_cntnr img").attr('src',attachment.url);
				$( '#di_ecommerce_custom_header_cntnr img' ).show();
				$( '#' + button_id ).attr( 'id', 'remove_dib_custom_header_image_button' );
				$( '#remove_dib_custom_header_image_button' ).text( DieCommerceAdminCustomHeaderImgJsLocalization.removehdrtxt );
			});

			// Finally, open the modal
			file_frame.open();
		};

		$('#di_ecommerce_custom_header_cntnr').on( 'click', '#upload_dib_custom_header_image_button', function( event ) {
			event.preventDefault();
			$.fn.upload_dib_custom_header_image( $(this) );
		});

		$('#di_ecommerce_custom_header_cntnr').on( 'click', '#remove_dib_custom_header_image_button', function( event ) {
			event.preventDefault();
			$( '#upload_dib_custom_header_image' ).val( '' );
			$( '#di_ecommerce_custom_header_cntnr img' ).attr( 'src', '' );
			$( '#di_ecommerce_custom_header_cntnr img' ).hide();
			$( this ).attr( 'id', 'upload_dib_custom_header_image_button' );
			$( '#upload_dib_custom_header_image_button' ).text( DieCommerceAdminCustomHeaderImgJsLocalization.addhdrtxt );
		});


	});
} )( jQuery );
